Package org.pgpainless.cli

# Class PGPainlessCLI

java.lang.Object
org.pgpainless.cli.PGPainlessCLI

public class PGPainlessCLI extends Object
This class merely binds PGPainless to `SopCLI` by injecting a `SOPImpl` instance. CLI command calls are then simply forwarded to `SopCLI.execute(String[])`.

## Constructor Summary

Constructors
Constructor
Description
`PGPainlessCLI()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`execute(String... args)`
Execute the given command and return the exit code of the program.
`static void`
`main(String[] args)`
Main method of the CLI application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PGPainlessCLI

public PGPainlessCLI()

## Method Details

### main

public static void main(String[] args)
Main method of the CLI application.

Parameters:
  `args` - arguments

### execute

public static int execute(String... args)
Execute the given command and return the exit code of the program.

Parameters:
  `args` - command string array (e.g. ["pgpainless-cli", "generate-key", "Alice"])
Returns:
  exit code